=== debian/changelog ===
gemmi (0.4.9+ds-1) unstable; urgency=medium

  * New upstream version 0.4.9+ds
  * Dropping use-system-stb.patch: issue resolved upstream.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Sep 2021 01:55:26 -0400

gemmi (0.4.8+ds-1) unstable; urgency=medium

  * New upstream version 0.4.8+ds (Closes: #992932)
  * Dropping unneeded use-system-zlib.patch.
  * Turning off production of gemmi.egg-info.

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Aug 2021 09:07:23 -0400

gemmi (0.4.7+ds-1) unstable; urgency=medium

  * New upstream version 0.4.7+ds
  * Adding Upstream-Contact.
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Sun, 22 Aug 2021 03:38:01 -0400

gemmi (0.4.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #986781)

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 Apr 2021 00:47:32 -0400
