=== debian/changelog ===
gemmi (0.5.0+ds-1) unstable; urgency=medium

  * New upstream version 0.5.0+ds
  * Removing license of already removed component.
  * Cleaning up debian/rules.
  * Changing error type in test via patch.
  * Adding autopkgtest.
  * Running Python tests during build.
  * Wrapping and sorting.

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Nov 2021 07:39:22 -0500
