=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libstb-dev,
  python3-dev,
  python3-pybind11 (>= 2.6.0),
+ python3-pytest <!nocheck>,
  tao-pegtl-dev,
  zlib1g-dev,
 Standards-Version: 4.5.1
