## gemmi 0.5.1+ds

=== debian/changelog ===
gemmi (0.5.1+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:16:30 +0000

gemmi (0.5.1+ds-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 0.5.1+ds
  * Refreshing use-system-tao-pegtl.patch.

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Dec 2021 02:18:36 -0500
