=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest <!nocheck>,
  tao-pegtl-dev,
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://project-gemmi.github.io
 Vcs-Browser: https://salsa.debian.org/debichem-team/gemmi
 Vcs-Git: https://salsa.debian.org/debichem-team/gemmi.git
