## gemmi 0.5.2+ds

=== debian/changelog ===
gemmi (0.5.2+ds-2ubuntu3) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Make gemmi build by patching build system to install files into
      /usr/local/lib (dh_python3 will move them into /usr/lib) after dh_install.
    - Pybind11 requires more fixes (see: #1006615)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2022 08:57:08 +0100

gemmi (0.5.2+ds-2) unstable; urgency=medium

  * Using system-provided doctest (Closes: #1006980).
    Thanks Gianfranco Costamagna.

 -- Andrius Merkys <merkys@debian.org>  Thu, 10 Mar 2022 00:50:09 -0500

gemmi (0.5.2+ds-1ubuntu1) jammy; urgency=medium

  * debian/patches/8ee91f37ba27397ef5eeedd2e542a4aaaa33ddc1.patch:
    - cherry-pick upstream fix in doctest repo for new glibc
    - NOTE: a proper fix is to start using system doctest-dev repository,
      something that has been requested with a Debian bug and patch:
      (Closes: #1006980)
  * Make gemmi build by patching build system to install files into
    /usr/local/lib (dh_python3 will move them into /usr/lib) after dh_install.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Mar 2022 21:00:16 +0100

gemmi (0.5.2+ds-1) unstable; urgency=medium

  * New upstream version 0.5.2+ds
  * Refreshing change_error_type_in_test.patch.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Jan 2022 04:16:18 -0500
