## gemmi 0.5.3%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -274,7 +274,7 @@
                src/wcn.cpp $<TARGET_OBJECTS:input>)
 support_gz(gemmi-wcn)
 
-add_executable(gemmi-prog
+add_executable(program
                src/align.cpp src/blobs.cpp
                src/cif2mtz.cpp src/cif2json.cpp src/contact.cpp
                src/contents.cpp src/convert.cpp src/fprime.cpp
@@ -288,15 +288,15 @@
                $<TARGET_OBJECTS:input>
                $<TARGET_OBJECTS:output>
                $<TARGET_OBJECTS:options>)
-support_gz(gemmi-prog)
-target_compile_definitions(gemmi-prog PRIVATE GEMMI_ALL_IN_ONE=1)
-set_target_properties(gemmi-prog PROPERTIES OUTPUT_NAME gemmi)
+support_gz(program)
+target_compile_definitions(program PRIVATE GEMMI_ALL_IN_ONE=1)
+set_target_properties(program PROPERTIES OUTPUT_NAME gemmi)
 if (WIN32 AND USE_WMAIN)
   # _UNICODE=1 is now set globally
-  #target_compile_definitions(gemmi-prog PRIVATE _UNICODE=1)
+  #target_compile_definitions(program PRIVATE _UNICODE=1)
   if(MINGW)
     # target_link_options were added in cmake 3.13
-    set_target_properties(gemmi-prog PROPERTIES LINK_FLAGS "-municode")
+    set_target_properties(program PROPERTIES LINK_FLAGS "-municode")
   endif()
 endif()
