=== debian/changelog ===
gemmi (0.5.3+ds-2) unstable; urgency=medium

  * Fix Python install path.

 -- Andrius Merkys <merkys@debian.org>  Mon, 28 Mar 2022 11:05:30 -0400

gemmi (0.5.3+ds-1) unstable; urgency=medium

  * New upstream version 0.5.3+ds
  * Exclude third_party/doctest.h.
  * Refresh use-system-tao-pegtl.patch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Mar 2022 08:49:11 -0400
