=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  cmake,
  debhelper-compat (= 13),
  dh-python,
+ doctest-dev,
  help2man,
  libstb-dev,
  python3-dev,
