=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 	dh $@ --buildsystem=cmake --with python3
 
 override_dh_auto_configure:
-	rm -rf include/gemmi/third_party/tao include/gemmi/third_party/stb_sprintf.h third_party/zlib
 	dh_auto_configure -- -DUSE_PYTHON=1 -DINSTALL_EGG_INFO=OFF
 
 override_dh_auto_test:
 	dh_auto_build -- check
+	PYTHONPATH=$$(find . -name 'obj-*') pytest-3
 
 override_dh_installman: debian/gemmi.1
 	dh_installman
