=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-gemmi,
 python3-pytest,
