=== debian/changelog ===
gemmi (0.5.4+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+ds
  * Port to tao-pegtl v3 (Closes: #1009415).
  * Drop no longer needed change_error_type_in_test.patch.
  * XS-Python-Version -> X-Python-Version.
  * Set upstream metadata fields: Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 May 2022 07:00:23 -0400
