=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
  ${shlibs:Depends},
 Provides:
  ${python3:Provides},
-XS-Python-Version: ${python3:Versions}
+X-Python-Version: ${python3:Versions}
 Description: library for structural biology - Python module
  Library for macromolecular crystallography and structural bioinformatics. For
  working with coordinate files (mmCIF, PDB, mmJSON), refinement restraints
