## gemmi 0.5.6+ds

=== debian/changelog ===
gemmi (0.5.6+ds-1) unstable; urgency=medium

  * New upstream version 0.5.6+ds
  * Run autopkgtest with gemmi executable installed.
  * Run tests and autopkgtest with NumPy.

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Aug 2022 02:08:05 -0400

gemmi (0.5.5+ds-1) unstable; urgency=medium

  * New upstream version 0.5.5+ds
  * Add reference.
  * Drop unnecessary dependency on build-essential.
  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Jun 2022 08:24:27 -0400
