=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  help2man,
  libstb-dev,
  python3-dev,
+ python3-numpy <!nocheck>,
  python3-pybind11 (>= 2.6.0),
  python3-pytest <!nocheck>,
  tao-pegtl-dev,
