## gemmi 0.5.7+ds

=== docs/requirements.txt ===
sphinx_rtd_theme >= 1.0.0
sphinx >= 2.4.4
