=== debian/changelog ===
gemmi (0.5.7+ds-2) unstable; urgency=medium

  * Not running test_sfcalc4 autopkgtest: fails on i386 due to precision.
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 04 Oct 2022 03:51:36 -0400

gemmi (0.5.7+ds-1) unstable; urgency=medium

  * New upstream version 0.5.7+ds
  * Drop upstream-integrated patches.
  * Skip overly sensitive test (Closes: #1019515).

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Sep 2022 10:02:00 -0400

gemmi (0.5.6+ds-2) unstable; urgency=medium

  * Import upstream commits to fix tests on arm64, i386 and other
    architectures.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Aug 2022 11:51:45 -0400
