=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pytest <!nocheck>,
  tao-pegtl-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://project-gemmi.github.io
 Vcs-Browser: https://salsa.debian.org/debichem-team/gemmi
 Vcs-Git: https://salsa.debian.org/debichem-team/gemmi.git
