=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,14 @@
 export PYBUILD_NAME=gemmi
 
 %:
-	dh $@ --buildsystem=cmake --with python3
+	dh $@ --buildsystem cmake --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DUSE_PYTHON=1 -DINSTALL_EGG_INFO=OFF
 
 override_dh_auto_test:
 	dh_auto_build -- check
-	PYTHONPATH=$$(find . -name 'obj-*') pytest-3
+	PYTHONPATH=$$(find . -name 'obj-*') pytest-3 -k 'not test_sfcalc_'
 
 override_dh_installman: debian/gemmi.1
 	dh_installman
