=== debian/changelog ===
gemmi (0.6.2+ds-5) unstable; urgency=medium

  * Append -fexcess-precision=fast to CXXFLAGS to fix builds on
    i386/s390x/m68k (Closes: #1042379)

 -- Andrius Merkys <merkys@debian.org>  Mon, 31 Jul 2023 08:58:05 -0400

gemmi (0.6.2+ds-4) unstable; urgency=medium

  * Export DEB_PYTHON_INSTALL_LAYOUT = deb in debian/rules to adjust to recent
    change in CMake's Python_SITEARCH (Closes: #1042186)

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Jul 2023 01:18:39 -0400

gemmi (0.6.2+ds-3) unstable; urgency=medium

  * Fix FTBFS with GCC 13 (Closes: #1037671)

 -- Andrius Merkys <merkys@debian.org>  Fri, 14 Jul 2023 04:33:02 -0400

gemmi (0.6.2+ds-2) unstable; urgency=medium

  * Provide the static library.

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Jun 2023 05:42:54 -0400

gemmi (0.6.2+ds-1) unstable; urgency=medium

  * New upstream version 0.6.2+ds
  * Improve cleaning.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Jun 2023 09:10:56 -0400

gemmi (0.6.1+ds-1) experimental; urgency=medium

  * New upstream version 0.6.1+ds
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 May 2023 02:26:06 -0400

gemmi (0.6.0+ds-1) experimental; urgency=medium

  * New upstream version 0.6.0+ds
  * Refresh use-system-tao-pegtl.patch.
  * Adjust installation paths, not installing the static library.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Mar 2023 06:57:38 -0400

gemmi (0.5.8+ds-1) experimental; urgency=medium

  * New upstream version 0.5.8+ds
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 23 Dec 2022 02:18:31 -0500
