=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,10 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export PYBUILD_NAME=gemmi
+export PYBUILD_NAME = gemmi
+export DEB_PYTHON_INSTALL_LAYOUT = deb
+
+export DEB_CXXFLAGS_MAINT_APPEND = -fexcess-precision=fast # See #1042379
 
 %:
 	dh $@ --buildsystem cmake --with python3
@@ -14,6 +17,9 @@
 	dh_auto_build -- check
 	PYTHONPATH=$$(find . -name 'obj-*') pytest-3 -k 'not test_sfcalc_'
 
+execute_after_dh_auto_clean:
+	rm -rf .pytest_cache examples/__pycache__ tests/__pycache__
+
 override_dh_installman: debian/gemmi.1
 	dh_installman
