## gemmi 0.6.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,7 +188,8 @@
 endif()
 
 add_library(gemmi_cpp
-            src/assembly.cpp src/calculate.cpp src/crd.cpp src/eig3.cpp
+            src/assembly.cpp src/calculate.cpp src/crd.cpp
+            src/ddl.cpp src/eig3.cpp
             src/mmcif.cpp src/mmread_gz.cpp src/mtz.cpp src/mtz2cif.cpp
             src/polyheur.cpp src/read_cif.cpp src/resinfo.cpp
             src/riding_h.cpp src/sprintf.cpp src/to_mmcif.cpp
@@ -223,6 +224,7 @@
 add_single_prog(contact)
 add_single_prog(contents)
 add_single_prog(convert)
+add_single_prog(ecalc GZ)
 add_single_prog(fprime NOLIB)
 add_single_prog(grep NOLIB GZ)
 add_single_prog(h)
@@ -235,7 +237,7 @@
 add_single_prog(mondiff)
 add_single_prog(mtz GZ)
 add_single_prog(mtz2cif GZ)
-add_single_prog(prep)
+add_single_prog(prep ADD_SRC prog/monlib_opt.cpp GZ)
 add_single_prog(reindex GZ)
 add_single_prog(residues)
 add_single_prog(rmsz)
@@ -251,11 +253,12 @@
 add_executable(gemmi_prog
                prog/align.cpp prog/blobs.cpp
                prog/cif2mtz.cpp prog/cif2json.cpp prog/contact.cpp
-               prog/contents.cpp prog/convert.cpp prog/fprime.cpp
+               prog/contents.cpp prog/convert.cpp
+               prog/ecalc.cpp prog/fprime.cpp
                prog/grep.cpp prog/h.cpp prog/json2cif.cpp
                prog/main.cpp prog/map.cpp prog/map2sf.cpp
-               prog/mapcoef.cpp prog/mask.cpp
-               prog/merge.cpp prog/mondiff.cpp prog/mtz.cpp prog/mtz2cif.cpp
+               prog/mapcoef.cpp prog/mask.cpp prog/merge.cpp
+               prog/mondiff.cpp prog/monlib_opt.cpp prog/mtz.cpp prog/mtz2cif.cpp
                prog/prep.cpp prog/reindex.cpp prog/residues.cpp prog/rmsz.cpp
                prog/sf2map.cpp prog/sfcalc.cpp prog/sg.cpp prog/tags.cpp
                prog/validate.cpp prog/validate_mon.cpp prog/wcn.cpp
@@ -321,8 +324,3 @@
 if (NOT MSVC)
   target_link_libraries(auth_label PRIVATE stdc++fs)
 endif()
-support_gz(auth_label)
-
-add_executable(check_conn EXCLUDE_FROM_ALL examples/check_conn.cpp)
-target_link_libraries(check_conn PRIVATE gemmi_cpp)
-
