=== debian/changelog ===
gemmi (0.6.3+ds-1) unstable; urgency=medium

  * New upstream version 0.6.3+ds
  * Drop 9c668e726c4b8fb57330a15b53d630351808fcfa.patch: integrated upstream.

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Sep 2023 04:26:20 -0400
